ubuntu 64位os如何添加ppa源

2016-02-26 14:08:00
hainuo
原创 4446
摘要:给ubuntu 64bit 添加ppa源 add-apt-repository:command not found
给ubuntu服务器添加ppa源时找不到命令`add-apt-repository` 提示信息为`add-apt-repository:command not found`这是因为缺少两个关键包`python-software-properties software-properties-common````apt-get install python-software-properties software-properties-common```按照以上命令安装即可找到`add-apt-repository`命令之后可以正常的安装ppa源了例如git的ppa源```└─ add-apt-repository ppa:git-core/ppa [2016-02-26 14:22:06] The most current stable version of Git for Ubuntu.For release candidates, go to https://launchpad.net/~git-core/+archive/candidate . More info: https://launchpad.net/~git-core/+archive/ubuntu/ppaPress [ENTER] to continue or ctrl-c to cancel adding itgpg: keyring `/tmp/tmpl3xl38or/secring.gpg' createdgpg: keyring `/tmp/tmpl3xl38or/pubring.gpg' createdgpg: requesting key E1DF1F24 from hkp server keyserver.ubuntu.com?: keyserver.ubuntu.com: Host not foundgpgkeys: HTTP fetch error 7: couldn't connect: Successgpg: no valid OpenPGP data found.gpg: Total number processed: 0└─  apt-get update****W: GPG error: http://ppa.launchpad.net trusty InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A1715D88E1DF1F24 └─  apt-get upgrade [2016-02-26 14:30:46] Reading package lists... DoneBuilding dependency tree Reading state information... DoneCalculating upgrade... DoneThe following packages have been kept back: linux-generic linux-headers-generic linux-image-genericThe following packages will be upgraded: git git-man2 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.Need to get 5272 kB of archives.After this operation, 4681 kB of additional disk space will be used.Do you want to continue? [Y/n] yWARNING: The following packages cannot be authenticated! git git-manInstall these packages without verification? [y/N] yGet:1 http://ppa.launchpad.net/git-core/ppa/ubuntu/ trusty/main git amd64 1:2.7.2-0ppa1~ubuntu14.04.1 [3915 kB]Get:2 http://ppa.launchpad.net/git-core/ppa/ubuntu/ trusty/main git-man all 1:2.7.2-0ppa1~ubuntu14.04.1 [1358 kB]Fetched 5272 kB in 58s (90.6 kB/s) perl: warning: Setting locale failed.perl: warning: Please check that your locale settings:LANGUAGE = "en_US:",LC_ALL = (unset),LC_CTYPE = "zh_CN.UTF-8",LANG = "en_US.UTF-8" are supported and installed on your system.perl: warning: Falling back to the standard locale ("C").locale: Cannot set LC_CTYPE to default locale: No such file or directorylocale: Cannot set LC_ALL to default locale: No such file or directory(Reading database ... 69263 files and directories currently installed.)Preparing to unpack .../git_1%3a2.7.2-0ppa1~ubuntu14.04.1_amd64.deb ...Unpacking git (1:2.7.2-0ppa1~ubuntu14.04.1) over (1:1.9.1-1ubuntu0.2) ...Preparing to unpack .../git-man_1%3a2.7.2-0ppa1~ubuntu14.04.1_all.deb ...Unpacking git-man (1:2.7.2-0ppa1~ubuntu14.04.1) over (1:1.9.1-1ubuntu0.2) ...Processing triggers for man-db (2.6.7.1-1ubuntu1) ...Setting up git-man (1:2.7.2-0ppa1~ubuntu14.04.1) ...Setting up git (1:2.7.2-0ppa1~ubuntu14.04.1) ...```其中的警告信息可以忽略.如果想排除掉警告信息可以参照 [深度linux系统 deepin 15.1 如何使用ppa源安装最新版的git 版本 控制软件](http://blog.hainuo.info/blog/Install-the-latest-version-of-Git-in-the-deepin-15.1-Linux-os-164.html) 第6、7步导入证书
发表评论
贰 减 玖 =
评论通过审核后显示。